/// @addtogroup bitSet
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file EuclBitSet_PointParIterator.h
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2006 by the CAPD Group.
//
// This file constitutes a part of the CAPD library,
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details.

/*=======================================================================*/
/*  ****************** Not tested!!! Not working!!! ******************** */
/*=======================================================================*/

// PointParIterator is a general use PointParIterator for bitmap sets
// It behaves similarly to the PointIterator but
// unlike the previous operators it stores and updates the
// parity of coordinates

#if !defined(_EUCLBITSETT_POINTPARITERATOR_H_)
#define _EUCLBITSETT_POINTPARITERATOR_H_

template <typename P_BitSet,int dim>
class EuclBitSetT<P_BitSet,dim>::PointParIterator : public EuclBitSetT<P_BitSet,dim>::BitParIterator{
  friend class EuclBitSetT<P_BitSet,dim>;
protected:

  static const int bitsPerWord = 8*sizeof(typename EuclBitSetT<P_BitSet,dim>::Word);


public:

  PointParIterator(const EuclBitSetT& s):BitParIterator(s){
    this->findPoint();
  }

  // intended as a converter
  PointParIterator(const BitIterator& A_it): BitParIterator(A_it){
    this->findPoint();
  }

  PointParIterator(const BitParIterator& A_it): BitParIterator(A_it){}

  // Keep it here! Do not inherit
  PointParIterator& operator++(){
    EuclBitSetT<P_BitSet,dim>::BitIterator::operator++();
    this->findPoint();
    return *this;
  }

};
#endif //_EUCLBITSETT_POINTPARITERATOR_H_

/*=======================================================================*/
/// @}

